/*
 * SL helps you search for trips with SL, Stockholm's public transport
 * company.  Note that the application is in Swedish.
 *
 *  Copyright (C) 2009  Johan Walles, johan.walles@gmail.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package net.launchpad.sl;

/**
 * Request codes used by the SL application.
 *
 * @author johan.walles@gmail.com
 */
public interface RequestCodes {
    /**
     * Select a location.
     */
    public final static int SELECT_LOCATION = 1;

    /**
     * Create a new location.
     */
    public final static int CREATE_LOCATION = 2;

    /**
     * Name a location.
     */
    public final static int NAME_LOCATION = 3;

    /**
     * We don't know where we are.
     */
    public final static int BAD_POSITIONING = 4;
}
