/*
 * SL helps you search for trips with SL, Stockholm's public transport
 * company.  Note that the application is in Swedish.
 *
 *  Copyright (C) 2009  Johan Walles, johan.walles@gmail.com
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package net.launchpad.sl;

import android.content.Intent;

/**
 * Keys used for passing values through {@link Intent}s.
 *
 * @author johan.walles@gmail.com
 */
public interface RequestKeys {
    /**
     * This key refers to a location.
     */
    public final static String LOCATION = "location";

    /**
     * This key refers to a location selector ID.
     */
    public final static String LOCATION_SELECTOR_ID = "location selector id";

    /**
     * This key refers to a query.
     */
    public final static String QUERY = "query";

    /**
     * True if a request has to do with a starting location, false if it has
     * to do with the destination.
     */
    public final static String ABOUT_FROM_LOCATION = "from location?";

    /**
     * The parts of a trip.
     */
    public final static String TRIP = "trip";
}
