#! /bin/bash

if [ $# != 1 ] ; then
    echo "Syntax: $0 <mapKey>"
    echo
    echo Switches the Google map API key for all maps in this application.
    exit 1
fi

KEY=$1
TEMPFILE=$(mktemp setMapKey.XXXXXXXX)
MYDIR=$(cd $(dirname $0) ; pwd)

for F in $MYDIR/*/res/layout/*.xml ; do
    cat $F | sed -r s/android:apiKey=\"[^\"]+\"/android:apiKey=\"$KEY\"/g > $TEMPFILE
    cp $TEMPFILE $F
done

rm $TEMPFILE

echo Map keys updated to: $KEY
echo
echo 'Now do not forget to refresh your Eclipse project before publishing!'
